## GstVaapiWindowX11

GstVaapiWindowX11 — VA/X11 window abstraction

## Functions

#define | GST_VAAPI_WINDOW_XWINDOW()
GstVaapiWindow * | gst_vaapi_window_x11_new ()
GstVaapiWindow * | gst_vaapi_window_x11_new_with_xid ()
Window | gst_vaapi_window_x11_get_xid ()
gboolean | gst_vaapi_window_x11_is_foreign_xid ()

## Types and Values

| GstVaapiWindowX11

## Object Hierarchy

## Description

## Functions

### GST_VAAPI_WINDOW_XWINDOW()

    #define             GST_VAAPI_WINDOW_XWINDOW(window)

Macro that evaluates to the underlying X11 Window of `window`

#### Parameters

window | a GstVaapiWindow |

### gst_vaapi_window_x11_new ()

    GstVaapiWindow *
    gst_vaapi_window_x11_new (GstVaapiDisplay *display,
                              guint width,
                              guint height);

Creates a window with the specified `width` and `height` . The window will be attached to the `display` and remains invisible to the user until `gst_vaapi_window_show()` is called.

#### Parameters

display | a GstVaapiDisplay |
width | the requested window width, in pixels |
height | the requested windo height, in pixels |

#### Returns

the newly allocated GstVaapiWindow object

### gst_vaapi_window_x11_new_with_xid ()

    GstVaapiWindow *
    gst_vaapi_window_x11_new_with_xid (GstVaapiDisplay *display,
                                       Window xid);

Creates a GstVaapiWindow using the X11 Window `xid` . The caller still owns the window and must call `XDestroyWindow()` when all GstVaapiWindow references are released. Doing so too early can yield undefined behaviour.

#### Parameters

display | a GstVaapiDisplay |
xid | an X11 Window id |

#### Returns

the newly allocated GstVaapiWindow object

### gst_vaapi_window_x11_get_xid ()

    Window
    gst_vaapi_window_x11_get_xid (GstVaapiWindowX11 *window);

Returns the underlying X11 Window that was created by `gst_vaapi_window_x11_new()` or that was bound with `gst_vaapi_window_x11_new_with_xid()`.

#### Parameters

window | a GstVaapiWindowX11 |

#### Returns

the underlying X11 Window bound to `window` .

### gst_vaapi_window_x11_is_foreign_xid ()

    gboolean
    gst_vaapi_window_x11_is_foreign_xid (GstVaapiWindowX11 *window);

Checks whether the `window` XID was created by `gst_vaapi_window_x11_new()` or bound with `gst_vaapi_window_x11_new_with_xid()`.

#### Parameters

window | a GstVaapiWindowX11 |

#### Returns

`TRUE` if the underlying X window is owned by the caller (foreign window)

## Types and Values

### GstVaapiWindowX11

    typedef struct {
    } GstVaapiWindowX11;

An X11 Window wrapper.